/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>String Const</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.methodname.methodName.StringConst#isHasNot <em>Has Not</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.StringConst#getValue <em>Value</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.StringConst#getCard <em>Card</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.StringConst#getSentiment <em>Sentiment</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getStringConst()
 * @model
 * @generated
 */
public interface StringConst extends Expr
{
  /**
   * Returns the value of the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Has Not</em>' attribute.
   * @see #setHasNot(boolean)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getStringConst_HasNot()
   * @model
   * @generated
   */
  boolean isHasNot();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.StringConst#isHasNot <em>Has Not</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Has Not</em>' attribute.
   * @see #isHasNot()
   * @generated
   */
  void setHasNot(boolean value);

  /**
   * Returns the value of the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Value</em>' attribute.
   * @see #setValue(String)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getStringConst_Value()
   * @model
   * @generated
   */
  String getValue();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.StringConst#getValue <em>Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Value</em>' attribute.
   * @see #getValue()
   * @generated
   */
  void setValue(String value);

  /**
   * Returns the value of the '<em><b>Card</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.CardinalityModifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #setCard(CardinalityModifier)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getStringConst_Card()
   * @model
   * @generated
   */
  CardinalityModifier getCard();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.StringConst#getCard <em>Card</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #getCard()
   * @generated
   */
  void setCard(CardinalityModifier value);

  /**
   * Returns the value of the '<em><b>Sentiment</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.Sentiment}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Sentiment</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @see #setSentiment(Sentiment)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getStringConst_Sentiment()
   * @model
   * @generated
   */
  Sentiment getSentiment();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.StringConst#getSentiment <em>Sentiment</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Sentiment</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @see #getSentiment()
   * @generated
   */
  void setSentiment(Sentiment value);

} // StringConst
